<?php

	if (!defined("_ECRIRE_INC_VERSION")) return;

	include_spip('inc/presentation');
	include_spip('base/spipimmo');
	include_spip('base/spipimmo_init');
	include_spip('inc/spipimmo_pagination');

	function exec_spipimmo()
	{
		//les variables globales
		global $globals_spipimmo;

		//La base donne - installation
		if (!spipimmo_install('test'))
		{
			spipimmo_install('install');
		}

		//La base donne - Mise  jour
		if (!spipimmo_install('test_upgrade'))
		{
			spipimmo_install('upgrade');
		}

		//Les requtes
		$listeAnnonces="SELECT * FROM `spip_annonces`";

		debut_page(_T('SPIP-Immo'), "", "spipimmo");

		//Titre du plugin
		echo '<br/>';
		gros_titre(_T($globals_spipimmo["plugin_titre"]));

		//Menu gauche
		debut_gauche();
			debut_boite_info();
				icone_horizontale("Cr&eacute;er une annonce", "?exec=ajouter_annonce", "mot-cle-24.gif","rien.gif", true);
				icone_horizontale("Liste des annonces", "?exec=spipimmo", "breve-24.gif","rien.gif", true);
				//icone_horizontale("Configuration", "?exec=config_immo", "administration-24.gif","rien.gif", true);
			fin_boite_info();

		//Contenu principal
		creer_colonne_droite();
		debut_droite();

		//Vrification de la suppression d'une annonce
		if((isset($_GET["suppr"])) and ((empty($_GET["suppr"]))==false))
		{
			echo(debut_cadre_relief("", true));
				switch(_request('suppr'))
				{
					case 1 :
						echo("<p class=\"chargementok\">Suppression de l'annonce r&eacute;ussie</p>");
						break;
					case 0 :
						echo("<p class=\"chargementrate\">Suppression de l'annonce &eacute;chou&eacute</p>");
						break;
				}
			echo(fin_cadre_relief(true));
			echo '<br/>';
		}

		debut_cadre_trait_couleur("breve-24.gif", false, "", _T("Liste des annonces"));

			$ret=spipimmo_pagination();

			$qTEMP=$ret[1];
			$nPage=$ret[2];
			$nbAnnonceTotal=$ret[3];

			if(substr($qTEMP,0,6)==" LIMIT")
			{
				$qTEMP=" ORDER BY id_annonce DESC " . $qTEMP;
			}

			$resListeAnnonces=spip_query($listeAnnonces . $qTEMP);
			$nbAnnonces=spip_num_rows($resListeAnnonces);
			echo($nbAnnoncesTotal);

				if($nbAnnonces==0)
				{
					$out='<table id="tableannonces">';
					$out.='<tr><td id="aucuneannonce">Aucune annonce disponible</td></tr>';
					$out.='</table>';
				}
				else
				{
					if($nbAnnonceTotal>$globals_spipimmo["page_nombre_resultat"])
					{
						$out.=$ret[0] . '<hr class="hrpagination" />';
					}

					$out.='<table id="tableannonces">
					<tr>
						<td class="tableannoncestitre" style="width:5px;">&nbsp;</td>
						<td class="tableannoncestitre">N&deg; dossier</td>
						<td class="tableannoncestitre">Type</td>
						<td class="tableannoncestitre">Ville</td>
						<td class="tableannoncestitre">Prix</td>
						<td class="tableannoncestitre" style="width:115px;">Photo</td>
						<td class="tableannoncestitre" style="width:20px;">Sup.</td>
					</tr>
					<tr>
						<td>&nbsp;</td>
						<td><a href="?exec=spipimmo&tri=dossier-desc&pg=' . $nPage . '" title="Trier par num&eacute;ro de dossier"><img src="../dist/images/monter-16.png" alt="Trier par num&eacute;ro de dossier" /></a><a href="?exec=spipimmo&tri=dossier-asc&pg=' . $nPage . '" title="Trier par num&eacute;ro de dossier"><img src="../dist/images/descendre-16.png" alt="Trier par num&eacute;ro de dossier" /></a></td>
						<td><a href="?exec=spipimmo&tri=type-desc&pg=' . $nPage . '" title="Trier par type d\'offre"><img src="../dist/images/monter-16.png" alt="Trier par type d\'offre" /></a><a href="?exec=spipimmo&tri=type-asc&pg=' . $nPage . '" title="Trier par type d\'offre"><img src="../dist/images/descendre-16.png" alt="Trier par type d\'offre" /></a></td>
						<td><a href="?exec=spipimmo&tri=ville-desc&pg=' . $nPage . '" title="Trier par ville"><img src="../dist/images/monter-16.png" alt="Trier par ville" /></a><a href="?exec=spipimmo&tri=ville-asc&pg=' . $nPage . '" title="Trier par ville"><img src="../dist/images/descendre-16.png" alt="Trier par ville" /></a></td>
						<td><a href="?exec=spipimmo&tri=prix-asc&pg=' . $nPage . '" title="Trier par prix"><img src="../dist/images/monter-16.png" alt="Trier par prix" /></a><a href="?exec=spipimmo&tri=prix-desc&pg=' . $nPage . '" title="Trier par prix"><img src="../dist/images/descendre-16.png" alt="Trier par prix" /></a></td>
						<td>&nbsp;</td>
						<td>&nbsp;</td>
					</tr>';
					for($i=0; $i<$nbAnnonces; $i++)
					{
						$annonce=spip_fetch_array($resListeAnnonces);
						$listeDocumentsAnnonces="SELECT * FROM `spip_documents_annonces` WHERE `numero_dossier`='" . $annonce["id_annonce"] . "' AND (`fichier` LIKE '%.jpg' OR `fichier` LIKE '%.png' OR `fichier` LIKE '%.gif') ORDER BY `id_document` LIMIT 0,1";
						$resListeDocumentsAnnonces=spip_query($listeDocumentsAnnonces);
						$enrDocument=spip_fetch_array($resListeDocumentsAnnonces);

						$out.='<tr class="trtableannonces" onmouseover="javascript:this.style.backgroundColor=\'#EEEEEE\'; this.style.cursor=\'pointer\';" onmouseout="javascript:this.style.backgroundColor=\'transparent\';" onclick="javascript:window.location.replace(\'?exec=modifier_annonce&amp;id=' . $annonce["id_annonce"] . '\');">';
						$action_link=generer_action_auteur("spipimmo_publier_annonce", $annonce["id_annonce"]);
							if($annonce["publier"]==1)
							{
								$out.='<td><a href="' . parametre_url($action_link, '')  . '" title="Ne pas publier"><img src="../dist/images/puce-verte.gif" alt="Ne pas publier" /></a></td>';
							}
							else
							{
								$out.='<td><a href="' . parametre_url($action_link, '')  . '" title="Publier"><img src="../dist/images/puce-rouge.gif" alt="Publier" /></a></td>';
							}
							$out.='<td>' . afficher_ndossier($annonce["id_annonce"]) . '</td>
								<td>' . $annonce["type_offre"] . '</td>
								<td>' . $annonce["ville_bien"] . '</td>
								<td>' . number_format($annonce["prix_loyer"]) . ' &euro;</td>
								<td>' . redimage(_DIR_IMG . substr($enrDocument["fichier"], 4),  $globals_spipimmo["repertoire_vignette"] . substr($enrDocument["fichier"], 4), "100", "", "", 0) . '</td>';
							$action_link=generer_action_auteur("spipimmo_supprimer_annonce", $annonce["id_annonce"]);
						$out.='<td><a href="' . parametre_url($action_link, '')  . '" onclick="javascript:return confirmerSupprimer()" title="Supprimer l\'annonce"><img src="../dist/images/poubelle.gif" alt="supprimer" /></a></td>
							</tr>';
					}
					$out.='</table>';
					if($nbAnnonceTotal>$globals_spipimmo["page_nombre_resultat"])
					{
						$out.='<hr class="hrpagination" />' . $ret[0];
					}
				}
			echo $out;
		fin_cadre_trait_couleur();

		echo fin_gauche(), fin_page();
	}
?>